Bug 412431 - Timidity++ lacks Ogg support
Timidity++ lacks Ogg support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: timidity++ (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 12:11 EST by Roland Wolters
Modified: 2008-01-11 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.13.2-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Wolters 2007-12-05 12:11:01 EST
Description of problem:
Timidity is compiled without Ogg support. This can easily be verified by the 
command "timidity -h". The output options given are:
Available output modes (-O, --output-mode option):
  -OR          aRts
  -Oe          Enlightened sound daemon
  -Os          ALSA pcm device
  -Od          dsp device
  -Ow          RIFF WAVE file
  -Or          Raw waveform data
  -Ou          Sun audio file
  -Oa          AIFF file
  -Ol          List MIDI event
  -OM          MOD -> MIDI file conversion

The help however lists also the output options
-Ov  Ogg Vorbis 
-OF  Ogg FLAC 
-OS  Ogg Speex

Version-Release number of selected component (if applicable):
$ rpm -q timidity++                                                                                                     
(12-05 18:00)
timidity++-2.13.2-4.fc8

How reproducible:
Every time, just check the output of your installed timidity.

Actual results:
The OGG-support is missing.

Expected results:
The OGG output should be there.
Comment 1 Hans de Goede 2007-12-11 04:43:18 EST
Jindrich, I'm on this, actually I have it fixed, but it fails to build on ppc64,
GRRRR, see:
http://koji.fedoraproject.org/koji/getfile?taskID=287362&name=build.log

For example. I'm working on a workaround for the not building now.
Comment 2 Hans de Goede 2007-12-11 06:10:23 EST
I've just pushed timidity++-2.13.2-6.fc8, which fixes this, to F-8
updates-testing. The updates system will add a note here once it has become
available in the repository, please test and let us know if this update fixes
things.
Comment 3 Fedora Update System 2007-12-12 14:51:07 EST
timidity++-2.13.2-6.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update timidity++'
Comment 4 Roland Wolters 2007-12-15 11:23:07 EST
Works. Thanks!
Comment 5 Fedora Update System 2008-01-11 17:07:10 EST
timidity++-2.13.2-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.